import {
    JAVASCRIPT_LANGUAGE_ID, JAVASCRIPT_LANGUAGE_NAME,
    TYPESCRIPT_LANGUAGE_ID, TYPESCRIPT_LANGUAGE_NAME,
    genericEditConfiguration, createTokenizationSupport, Language,
} from './language';

export const registerLanguages = monaco => {
        monaco.languages.register({
            id: JAVASCRIPT_LANGUAGE_ID,
            extensions: ['.js', '.jsx'],
            aliases: [JAVASCRIPT_LANGUAGE_NAME, 'js', 'javascript'],
            mimetypes: ['text/javascript'],
        });
        monaco.languages.onLanguage(JAVASCRIPT_LANGUAGE_ID, () => {
            monaco.languages.setLanguageConfiguration(JAVASCRIPT_LANGUAGE_ID, genericEditConfiguration);
            monaco.languages.setTokensProvider(JAVASCRIPT_LANGUAGE_ID, createTokenizationSupport(Language.EcmaScript5));
        });

        monaco.languages.register({
            id: TYPESCRIPT_LANGUAGE_ID,
            extensions: ['.ts', '.tsx'],
            aliases: [TYPESCRIPT_LANGUAGE_NAME, 'ts', 'typescript'],
            mimetypes: ['text/typescript'],
        });
        monaco.languages.onLanguage(TYPESCRIPT_LANGUAGE_ID, () => {
            monaco.languages.setLanguageConfiguration(TYPESCRIPT_LANGUAGE_ID, genericEditConfiguration);
            monaco.languages.setTokensProvider(TYPESCRIPT_LANGUAGE_ID, createTokenizationSupport(Language.TypeScript));
        });
};
